## Name

l — Displays a verbose description about the specified list of objects.

## Synopsis

`l` [-t] [-r] {`objects`}

## DESCRIPTION

Displays a verbose description about the specified list of objects. If a specified object is a path, then any transformation matrices along that path are applied. If the final path component is a combination, the command will list the Boolean formula for the combination and will indicate any accumulated transformations (including any in that combination). If a shader and/or color has been assigned to the combination, the details will be listed. For a region, its ident, air code, material code, and LOS will also be listed. For primitive shapes, detailed shape parameters will be displayed with the accumulated transformation applied.

## OPTIONS

`-t`

  The -t (terse) option forces a shorter list of primitive shape parameters. This option is useful for primitives with potentially long parameter lists, such as BOTs.

`-r`

  If the -r (recursive) option is used, then each object on the command line will be treated as a path. If the path does not end at a primitive shape, then all possible paths from that point down to individual shapes will be considered. The shape at the end of each possible path will be listed with its parameters adjusted by the accumulated transformation.

## EXAMPLES

The three examples show the use of the l command to display details about a region, shape parameters, and all possible paths starting with a particular designation.

Example 1. Display details about a particular region.

`mged>` `l region1`

  Displays details about region1.

Example 2. Display shape parameters for a particular shape.

`mged>``l group1/group2/region1/shape3`

Displays shape parameters for shape3 with matrices applied from the path.

Example 3. Display all paths that start with a particular designation and end in a primitive shape.

`mged>``l -r a/b`

Displays all paths that start with a particular designation and end in a primitive shape. Also, the shape parameters with the accumulated transformation applied will be displayed.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.